Skip to content

List email triage statuses

GET
/emails/triage-status

Returns compact triage status records. Use include=email,draft to retrieve the full source email and generated triage draft in the same response.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Query Parameters

page
Type
integer
Default
1
limit
Type
integer
Default
50
project

Filter by project ID

Type
string
ids

Comma-separated email IDs

Type
string
message_id

Single message-id or comma-separated message IDs. Angle brackets are accepted.

Type
string
mailbox
Type
string
Valid values
"inbox""archived""sent""spam""trash"
label
Type
string
triaged
Type
boolean
status

Comma-separated triage statuses

Type
string
Valid values
"pending""complete""failed"
primary_action

Comma-separated primary actions

Type
string
Valid values
"reply-required""human-do""waiting""no-action""spam"
run_id
Type
string
include

Comma-separated related payloads to embed. Supported values: email,draft

Type
string
Example"email,draft"

Responses

OK

application/json
JSON
{
  
"statuses": [
  
  
{
  
  
  
"email_id": "string",
  
  
  
"message_id": "string",
  
  
  
"subject": "string",
  
  
  
"from": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"to": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"project": "string",
  
  
  
"mailbox": "string",
  
  
  
"labels": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"triaged": true,
  
  
  
"triaged_at": "string",
  
  
  
"triage_status": "string",
  
  
  
"triage_primary_action": "string",
  
  
  
"triage_summary": "string",
  
  
  
"triage_reason": "string",
  
  
  
"triage_confidence": 0,
  
  
  
"triage_action_points": [
  
  
  
  
{
  
  
  
  
  
"text": "string",
  
  
  
  
  
"type": "string",
  
  
  
  
  
"due_at": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"triage_related_context": [
  
  
  
  
{
  
  
  
  
  
"item_id": "string",
  
  
  
  
  
"item_type": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"reason": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"triage_mailbox_action": "string",
  
  
  
"triage_error": "string",
  
  
  
"triage_run_id": "string",
  
  
  
"triage_draft_id": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"email": {
  
  
  
  
"_id": "string",
  
  
  
  
"message_id": "string",
  
  
  
  
"references": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"in_reply_to": "string",
  
  
  
  
"thread_identifiers": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"thread_source_ids": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"from": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"to": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"cc": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"bcc": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"subject": "string",
  
  
  
  
"text_content": "string",
  
  
  
  
"html_content": "string",
  
  
  
  
"html_content_has_remote_images": true,
  
  
  
  
"attachment_text_content": "string",
  
  
  
  
"source": "string",
  
  
  
  
"mailbox": "string",
  
  
  
  
"labels": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"triaged": true,
  
  
  
  
"triaged_at": "string",
  
  
  
  
"triage_summary": "string",
  
  
  
  
"triage_reason": "string",
  
  
  
  
"triage_primary_action": "string",
  
  
  
  
"triage_confidence": 0,
  
  
  
  
"triage_action_points": [
  
  
  
  
  
{
  
  
  
  
  
  
"text": "string",
  
  
  
  
  
  
"type": "string",
  
  
  
  
  
  
"due_at": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"triage_related_context": [
  
  
  
  
  
{
  
  
  
  
  
  
"item_id": "string",
  
  
  
  
  
  
"item_type": "string",
  
  
  
  
  
  
"title": "string",
  
  
  
  
  
  
"reason": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"triage_mailbox_action": "string",
  
  
  
  
"triage_status": "string",
  
  
  
  
"triage_error": "string",
  
  
  
  
"triage_run_id": "string",
  
  
  
  
"triage_draft_id": "string",
  
  
  
  
"project": "string",
  
  
  
  
"host_id": "string",
  
  
  
  
"createdAt": "string",
  
  
  
  
"updatedAt": "string"
  
  
  
},
  
  
  
"draft": {
  
  
  
  
"_id": "string",
  
  
  
  
"source_email": "string",
  
  
  
  
"from": "string",
  
  
  
  
"to": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"cc": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"bcc": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"subject": "string",
  
  
  
  
"body_text": "string",
  
  
  
  
"body_html": "string",
  
  
  
  
"status": "string",
  
  
  
  
"generated_by_triage": true,
  
  
  
  
"confidence": 0,
  
  
  
  
"project": "string",
  
  
  
  
"host_id": "string",
  
  
  
  
"createdAt": "string",
  
  
  
  
"updatedAt": "string"
  
  
  
}
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI